#!/bin/bash

set -o errexit
CMD="/usr/bin/designate-api"
ARGS=""

# Loading common functions.
source /opt/kolla/kolla-common.sh

# Execute config strategy
set_configs

# Bootstrap and exit if KOLLA_BOOTSTRAP variable is set. This catches all cases
# of the KOLLA_BOOTSTRAP variable being set, including empty.
if [[ "${!KOLLA_BOOTSTRAP[@]}" ]]; then
    sudo -u designate /bin/sh -c "designate-manage db_sync"
    exit 0
fi

exec $CMD $ARGS
