#!/bin/bash
set -o errexit

CMD="/usr/bin/heat-api"
ARGS=""

# Loading common functions.
source /opt/kolla/kolla-common.sh

# Execute config strategy
set_configs

# Bootstrap and exit if KOLLA_BOOTSTRAP variable is set. This catches all cases
# of the KOLLA_BOOTSTRAP variable being set, including empty.
if [[ "${!KOLLA_BOOTSTRAP[@]}" ]]; then
    sudo -u heat /bin/sh -c "/usr/bin/heat-manage db_sync"
    openstack role create heat_stack_owner
    openstack role add --project admin --user admin heat_stack_owner
    openstack role create heat_stack_user
    heat-keystone-setup-domain \
        --stack-user-domain-name heat_user_domain \
        --stack-domain-admin heat_domain_admin \
        --stack-domain-admin-password ${HEAT_DOMAIN_ADMIN_PASSWORD}
    exit 0
fi

exec $CMD $ARGS
