#!/bin/bash
set -o errexit

CMD="/usr/bin/murano-api"
ARGS="--config-file /etc/murano/murano.conf"

# Loading common functions.
source /opt/kolla/kolla-common.sh

# Execute config strategy
set_configs

# Bootstrap and exit if KOLLA_BOOTSTRAP variable is set. This catches all cases
# of the KOLLA_BOOTSTRAP variable being set, including empty.
if [[ "${!KOLLA_BOOTSTRAP[@]}" ]]; then
    sudo -u murano /bin/sh -c "/usr/bin/murano-db-manage --config-file /etc/murano/murano.conf upgrade"
    $CMD $ARGS &
    while ! murano package-list &> /dev/null ; do
        echo "+++ waiting for murano api to start +++"
        sleep 2
    done
    cd murano
    murano package-import --is-public io.murano.zip
    exit 0
fi

exec $CMD $ARGS
