#!/bin/bash

set -o errexit

echo "+++ starting mysqlcluster-api container +++"

# loading common functions
source /opt/kolla/kolla-common.sh
 
# config-internal script exec out of this function, it does not return here
set_configs

# Bootstrap and exit if KOLLA_BOOTSTRAP variable is set. This catches all cases
# of the KOLLA_BOOTSTRAP variable being set, including empty.
if [[ "${!KOLLA_BOOTSTRAP[@]}" ]]; then
  : ${MYSQLCLUSTER_ROOT_PASSWORD?"ERROR - no db password given"}
  source /opt/kolla/config-mysqlcluster-api.sh
  exit 0
fi

echo "+++ exec mysqld +++" 
exec /usr/sbin/mysqld -u mysql --verbose
