#!/bin/bash

# find out what is our id and what are peers. After sourcing the script you should have 
# them in MY_ID and PEER_IDS

local_addresses=$(ifconfig | tr -s ' ' | grep ' inet ' | cut -d ' ' -f 3)
mgmt_nodes=$(ndb_config --config-file /var/lib/mysql-cluster/config.ini --query=id --type=ndb_mgmd)
 
MY_ID=""
PEER_IDS=""
for id in ${mgmt_nodes}; do
    host=$(ndb_config --config-file /var/lib/mysql-cluster/config.ini --query=host --id=${id})
    echo ${local_addresses} | grep -q -w ${host} && MY_ID=${id} || PEER_IDS="${PEER_IDS}${id},"
done
PEER_IDS=${PEER_IDS%?}
