#!/bin/bash
set -o errexit

CMD="/usr/sbin/iscsid"
ARGS="-f -d 1"

# Loading common functions
source /opt/kolla/kolla-common.sh

# Execute config strategy
set_configs

# check if we have iscsi initiator name
if [[ ! -f /etc/iscsi/initiatorname.iscsi ]]; then
    echo "Generating new iSCSI initiator name"
    echo InitiatorName=$(/sbin/iscsi-iname) > /etc/iscsi/initiatorname.iscsi
fi

exec $CMD $ARGS
